[build-system]
requires = ["setuptools>=61.0.0"]
build-backend = "setuptools.build_meta"

[project]
name = "mrhlpr"
dynamic = ["version"]
authors = [
  {name = "postmarketOS Developers", email="info@postmarketos.org"}
]
description = "postmarketOS tools for interacting with gitlab MRs"
readme = "README.md"
license = {text = "GPL-3.0-or-later"}
requires-python = ">=3.9"
classifiers = [
  "Development Status :: 5 - Production/Stable",
  "Intended Audience :: Developers",
  "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
  "Programming Language :: Python :: 3",
  "Programming Language :: Python :: 3.9",
  "Programming Language :: Python :: 3.10",
  "Programming Language :: Python :: 3.11",
  "Programming Language :: Python :: 3.12",
]
keywords = ["postmarketos", "gitlab"]

[project.scripts]
mrhlpr = "mrhlpr.frontend:main"
mrtest = "mrtest.frontend:main"

[project.optional-dependencies]
completion = ["argcomplete"]
api = ["python-gitlab>=4.0.0"]

[project.urls]
Homepage = "https://www.postmarketos.org"

[tool.setuptools.dynamic]
version = {attr =  "mrhlpr.version.VERSION"}

[tool.setuptools.packages.find]
include = ["mrhlpr*", "mrtest*"]

[tool.ruff]
line-length=100

[tool.mypy]
check_untyped_defs = true
disallow_incomplete_defs = true
disallow_untyped_calls = true
disallow_untyped_decorators = true
disallow_untyped_defs = true
